<div class="pastEncounters">
    <ng-container *ngFor="let encounter of encounters">
        <div class="card" *ngIf="isPast(encounter.encounterDate)">
            <div class="card-body">
                <div class="row text-center">
                    <div class="col">
                        <p>{{ encounter.encounterDate | date : " dd/MM/yyyy" }}</p>
                    </div>
                    <div class="col text-uppercase text-end">
                        <p class="">{{ encounter.hostTeam.name}}</p>
                    </div>
                    <div class="col-1">
                        <p><i class="fa fa-minus"></i></p>
                    </div>
                    <div class="col text-uppercase">
                        <p class="text-start">{{ encounter.guestTeam.name}}</p>
                    </div>
                    <div class="col-md-6">
                        <div class="row">
                            <div class="col alert btn-mise text-end">
                                <div class="row">
                                    <div class="col-md-4 d-flex align-items-center">
                                        <img src="../../../assets/teamA.jpg" class="img-team float-start" />
                                    </div>
                                    <div class="col-md-8">
                                        <p class="text-uppercase">{{ encounter.hostTeam.name}}</p>
                                        <hr />
                                        <p>{{ encounter.hostTeam.ratioRate }}</p>
                                    </div>
                                </div>
                            </div>
                            <div class="col-3 alert btn-mise">
                                <p>Match nul</p>
                                <hr />
                                <p>{{ (encounter.guestTeam.ratioRate+encounter.hostTeam.ratioRate)/2 }}</p>
                            </div>
                            <div class="col alert btn-mise  text-end">
                                <div class="row">
                                    <div class="col-md-4 d-flex align-items-center">
                                        <img src="../../../assets/teamB.jpg" class="img-team float-start" />
                                    </div>
                                    <div class="col-md-8">
                                        <p class="text-uppercase">{{ encounter.guestTeam.name}}</p>
                                        <hr />
                                        <p>{{ encounter.guestTeam.ratioRate }}</p>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </ng-container>
</div>